[Task] Remove calls to getIsRawMode() in Wikibase, and calls to setRawMode() in tests
Closed, ResolvedPublic1 Story Points

Description

this blocks work on the core api code and might not be trivial.

aude created this task.Apr 6 2015, 2:31 PM
aude updated the task description. (Show Details)
aude raised the priority of this task from to Needs Triage.
aude added a subscriber: aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 6 2015, 2:31 PM
Anomie added a subscriber: Anomie.Apr 6 2015, 3:54 PM
aude updated the task description. (Show Details)Apr 23 2015, 12:33 PM
aude triaged this task as High priority.
JanZerebecki moved this task from incoming to ready to go on the Wikidata board.May 16 2015, 10:38 PM
Addshore renamed this task from Remove calls to getIsRawMode() in ResultBuilder and GetEntities, and calls to setRawMode() in tests to Remove calls to getIsRawMode() in Wikibase, and calls to setRawMode() in tests.Jul 9 2015, 3:52 PM

I am looking at this now, bit of re factoring to do first though

Addshore claimed this task.Jul 29 2015, 9:36 AM

All of the re factoring to make this easier is now done.
Now just to make a few API breaks and pokes in order to be able to totally remove our usage of getIsRawMode etc.

Change 227667 had a related patch set uploaded (by Addshore):
APIPOKE - Return for-language key for non raw fallbacks

https://gerrit.wikimedia.org/r/227667

Tobi_WMDE_SW edited a custom field.Aug 5 2015, 9:05 AM

Change 227667 merged by jenkins-bot:
APIPOKE - Return for-language key for non raw fallbacks

https://gerrit.wikimedia.org/r/227667

daniel added a subscriber: daniel.Aug 5 2015, 3:14 PM

Seems like ResultBuilder.php is still using getIsRawMode quite a bit. ApiHelperFactoryTest.php mocks that method (needlessly?). ApiXmlFormatTest.php uses setRawMode().

aude renamed this task from Remove calls to getIsRawMode() in Wikibase, and calls to setRawMode() in tests to [Task] Remove calls to getIsRawMode() in Wikibase, and calls to setRawMode() in tests.Aug 13 2015, 1:39 PM

Basically this will all come down to a breaking change to remove the uses.
But we will probably also have to poke core slightly (i'll explain why when I get back to this)

Change 227686 had a related patch set uploaded (by Addshore):
WIP API BREAK

https://gerrit.wikimedia.org/r/227686

Addshore moved this task from ready to go to in progress on the Wikidata board.Aug 20 2015, 5:51 PM
Addshore moved this task from Backlog to Review on the Wikidata-Sprint-2015-08-18 board.

Change 234258 had a related patch set uploaded (by Addshore):
Remove final use of setRawMode in Wikibasei

https://gerrit.wikimedia.org/r/234258

Change 227686 merged by jenkins-bot:
API BREAKING CHANGE - Remove rawMode use

https://gerrit.wikimedia.org/r/227686

daniel closed this task as Resolved.

merged

Change 234258 abandoned by Addshore:
Remove final use of setRawMode in Wikibase

Reason:
This is a null change now as its already done

https://gerrit.wikimedia.org/r/234258